Get Product Details

This endpoint returns an array of products whose Ids were specified in the productIds
parameter. Products that could be found are returned in the results array in the
response. Products that could not be found are indicated in the errors array.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint will return a lot of information about a product. Images, group information, and all images are included in the return data. This is useful when creating a page that gives in-depth information about a product.

{
  "success": true,
  "errors": [
    "string"
  ],
  "results": [
    {
            "productId": 0,
            "name": "string",
            "cleanName": "string",
            "imageUrl": "string",
            "categoryId": 0,
            "groupId": 0,
            "url": "string",
            "modifiedOn": "2014-07-31T18:12:47.04"
        }
    ]
}
/catalog/products/90000

{
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 90000,
            "name": "Totodile",
            "cleanName": "Totodile",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/90000_200w.jpg",
            "categoryId": 3,
            "groupId": 1402,
            "url": "https://store.tcgplayer.com/pokemon/heartgold-soulsilver/totodile",
            "modifiedOn": "2014-07-31T18:12:47.04"
        }
    ]
}
/catalog/products/100500

{
    "success": true,
    "errors": [],
    "results": [
        {
            "productId": 100500,
            "name": "Mega Rayquaza Collection",
            "cleanName": "Mega Rayquaza Collection",
            "imageUrl": "https://6d4be195623157e28848-7697ece4918e0a73861de0eb37d08968.ssl.cf1.rackcdn.com/100500_200w.jpg",
            "categoryId": 3,
            "groupId": 1534,
            "url": "https://store.tcgplayer.com/pokemon/xy-roaring-skies/mega-rayquaza-collection",
            "modifiedOn": "2017-11-17T13:36:42.94"
        }
    ]
}
Path Params
string
required

A comma delimited list of Ids for the products to return.

Query Params
boolean

If true, include additional Category-specific information about each Product, otherwise
only return general Product information. Default is false.

boolean

If true, include SKU details for each product. Default is false.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

No products found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json